ob_flush
ob_get_contents
Output Control Functions
PHP Manual

# ob_get_clean

(PHP 4 >= 4.3.0, PHP 5)

ob_get_clean — Get current buffer contents and delete current output buffer

### Description

string ob_get_clean ( void )

Gets the current buffer contents and delete current output buffer.

ob_get_clean() essentially executes both ob_get_contents() and ob_end_clean().

### Return Values

Returns the contents of the output buffer and end output buffering. If output buffering isn't active then `FALSE` is returned.

### Examples

Example #1 A simple ob_get_clean() example

`<?php
ob_start();
echo "Hello World";
$out = ob_get_clean();
$out = strtolower($out);
var_dump($out);
?>`

The above example will output:

    string(11) "hello world"

### See Also

- ob_get_contents()
- ob_start()

ob_flush
ob_get_contents
Output Control Functions
PHP Manual